# -*- coding: utf-8 -*-
from django.conf.urls import patterns, url

urlpatterns = patterns('',
    # Examples:
    # url(r'^$', 'scrobblerserver.views.home', name='home'),
    # url(r'^scrobblerserver/', include('scrobblerserver.foo.urls')),

    # line from 'scrobblerserver/urls.py' calling this file
    #url(r'^api/', include('api.urls')),
    # Username : letters and numbrers plus « @ », « . », « + », « - » and « _ »
    url(r'^(?P<username>[-@,.+\w]+)/$', 'api.views.user_api'),
    url(r'^(?P<username>[-@,.+\w]+)/scrobbles/$', 'api.views.scrobbles'),
    url(r'^(?P<username>[-@,.+\w]+)/scrobbles/artists/(?P<uuid>[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12})/', 'api.views.artist_scbbs'),
    url(r'^(?P<username>[-@,.+\w]+)/artists/$', 'api.views.artists_stat'),
    url(r'^(?P<username>[-@,.+\w]+)/titles/$', 'api.views.tracks_stat'),
    url(r'^$', 'api.views.apidoc'),
)

# vim: ai ts=4 sw=4 sts=4 expandtab
